﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class ListBoxUC : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (RadListBox1.Items.Count == 0)
        {
            //for (int i = 1; i <= 2450; i++)
            //{
            //    RadListBox1.Items.Add(new Telerik.Web.UI.RadListBoxItem() { Text = "Item " + i, Value = i.ToString() });
            //}
            RadListBox1.DataSource = GetDataSource();
            RadListBox1.DataTextField = "ShipName";
            RadListBox1.DataValueField = "OrderID";
            RadListBox1.DataBind();
        }
    }

    private DataTable GetDataSource()
    {
        DataTable dataTable = new DataTable();

        dataTable.Columns.Add(new DataColumn("OrderID", typeof(int)));
        dataTable.Columns.Add(new DataColumn("ShipName", typeof(string)));

        dataTable.PrimaryKey = new DataColumn[] { dataTable.Columns["OrderID"] };

        for (int i = 1; i <= 2450; i++)
        {
            // or use the following one-liner with the following arguments
            // OrderID, OrderDate, Freight, ShipName, ShipCountry
            //dataTable.Rows.Add(i + 1, DateTime.Now, (i + 1) + (i + 1) * 0.1 + (i + 1) * 0.01, "Name " + (i + 1), "Country " + (i + 1));

            DataRow row = dataTable.NewRow();
            row["OrderID"] = i;
            row["ShipName"] = "Name " + i;

            dataTable.Rows.Add(row);
        }

        return dataTable;
    }
}